---

- include_tasks: get_prov_ip.yml
  # allow to bypass IP detection if you need to call this playbook multiple times
  when: prov_iface_ip is undefined

- name: "Create temporary host to reach {{ inventory_hostname }} via the provisioning iface"
  add_host:
    name: provisioning.temp.io
    groups:
      - cage_management_zone
    ansible_host: "{{ prov_iface_ip }}"
    ansible_python_interpreter: "{{ ansible_python_interpreter|default('/usr/bin/python') }}"
  changed_when: False

- name: "Install Python"
  raw: test -e /usr/bin/python3 || (test -e /usr/bin/apt && (apt -qqy update && apt install -qqy python3-minimal) || (dnf -qy install python3))
  register: output
  changed_when: output.stdout != ""
  delegate_to: provisioning.temp.io
  # we cannot use facts yet, so relying on inventory vars
  when: ansible_python_interpreter is defined and 'python3' in ansible_python_interpreter

- name: Fetch facts
  setup:
  delegate_to: provisioning.temp.io
  delegate_facts: True

